- entityDefinitions:
  - IDI_Task_ViewAccessModifier:    '{c15d0fa4-8f20-42ae-97ff-9e0c22273b68}'
  - IDI_Task_EditAccessModifier:    '{4f73dd79-4625-4430-993a-b69561411254}'
  - IDE_AccessModifier_Select:      '{574ebe4c-5cc6-4388-94ce-8e27d802ade5}'
  - IDE_AccessModifier_View:        '{fb7bf439-133b-4138-a026-6087b579490e}'
  - IDE_AccessModifier_Edit:        '{281d6126-700d-4915-b27e-b14e788efaf6}'
  
  - IDM_AccessModifier_Edit:        '{5a68bdcd-ccfc-45f0-8936-522f6065d397}'
  - IDMB_AccessModifier_Edit:        '{3ffbdf53-4775-4d4f-8224-8a540bc4324f}'

  - IDE_AccessModifier_Definition:  '{a4fae360-cffb-4fe4-8cca-509210e0aa98}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_ViewAccessModifier;'
    name: 'View Access Modifier'
    initiatingElement: '&IDE_AccessModifier_View;'
    taskCategory: '&IDI_TaskCategory_AccessModifier;'

  - sequenceTask: '&IDI_Task_EditAccessModifier;'
    name: 'Edit Access Modifier'
    initiatingElement:
    - globalIdentifier: '{5d7e2991-e14a-4fe3-bc07-e40bfc03784f}'
      name: 'Access Modifier Edit Start'
      processedByCTMethod: '{4999e50e-1c7a-438f-8691-08f2cff3b976}'
      elementContents:
      - globalIdentifier: '{5794a213-81ad-4c0c-8d82-529188b824d4}'
        defaultDataType: '&IDE_AccessModifier_Select;'
        displayOptions:
        - instance: '&IDI_DisplayOption_Singular;'
        - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

    taskCategory: '&IDI_TaskCategory_AccessModifier;'

  - controlTransactionMethod: '{4999e50e-1c7a-438f-8691-08f2cff3b976}'
    forClassId: '&IDC_AccessModifier;'
    verb: ''
    name: 'Access Modifier Start'
    buildsResponseWithBRMB: '&IDMB_AccessModifier_Edit;'

  - buildResponseMethodBinding: '&IDMB_AccessModifier_Edit;'
    executesMethod: '&IDM_AccessModifier_Edit;'

  
  - buildUIResponseMethod: '&IDM_AccessModifier_Edit;'
    usesExecutableReturningElement: '&IDE_AccessModifier_Edit;'

  - element: '&IDE_AccessModifier_View;'
    name: 'view access modifier'
    elementContents:
    - globalIdentifier: '{25adf298-18d7-43a5-8503-e148410fabe5}'
      defaultDataType: '&IDC_AccessModifier;'
      label: 'Access Modifier'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{9b16adc7-7680-4fa1-b801-6a31473995c4}'
      defaultDataType: '&IDE_AccessModifier_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_AccessModifier_Definition;'
    name: 'access modifier subedits'
    elementContents:
    - globalIdentifier: '{cfaa40b8-ad20-4f7e-9a1b-fa302a01c6a5}'
      defaultDataType: '&IDA_Name;'
    - globalIdentifier: '{ec3be1e9-86d8-40e8-8d9f-220312403082}'
      defaultDataType: '&IDA_Order;'
  
  - element: '&IDE_AccessModifier_Edit;'
    name: 'edit access modifier'
    elementContents:
    - globalIdentifier: '{d2fcd234-9dd2-4a12-b2ab-0954b01aa8e4}'
      defaultDataType: '&IDC_AccessModifier;'
      label: 'Access Modifier'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{e72d09ca-f84e-46fe-9808-7dd1f4064e26}'
      defaultDataType: '&IDE_AccessModifier_Definition;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_AccessModifier_Select;'
    name: 'Access Modifier selection subedit'
    elementContents:
    - globalIdentifier: '{f9d18a81-8cb8-481f-8940-a09ac7452c76}'
      defaultDataType: '&IDC_AccessModifier;'
      label: 'Access Modifier'